# norootforbuild

Summary:	Portable Musepack decoder library
Name:		libmpcdec
Version:	1.2.2
Release:	5.2
License:	GPL
Group:		Applications/Multimedia
Url: 		http://www.musepack.net/

Source0:        http://files2.musepack.net/source/libmpcdec-%{version}.tar.bz2

#Obsoletes:	libmusepack
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

BuildRequires:	gcc-c++

%description
Portable Musepack decoder library

Obsoletes libmusepack!

%package devel
Group:          Development/Libraries
Summary:	Portable Musepack decoder library
Requires:	%{name}

%description devel
libmpcdec development files

%prep
%setup -q


%build
%configure \
%ifarch  x86_64 amd64 ia32e
	--enable-libsuffix=64 \
%endif

%{__make}


%install
rm -rf "${RPM_BUILD_ROOT}"
make DESTDIR="${RPM_BUILD_ROOT}" install-strip


%clean
[ -d  ${RPM_BUILD_ROOT} -a "${RPM_BUILD_ROOT}" != "/" ] && rm -rf  ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_includedir}/*
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_includedir}/mpcdec/*

%changelog
* Sun Sep 30 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build

